List customer portals in a project
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/portals \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/portals"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"portals": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"event_types": "<string>",
"branding": "<string>",
"enabled": 0,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Portals
List customer portals in a project
GET
/
admin
/
api
/
projects
/
{project_id}
/
portals
List customer portals in a project
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/portals \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/portals"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"portals": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"event_types": "<string>",
"branding": "<string>",
"enabled": 0,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Response
Portals, newest first. Disabled portals (enabled = 0) are still listed.
Show child attributes
Show child attributes